﻿@model IEnumerable<ALK.Models.DataFilex>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>


<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ContentType)
        </th>
        <th>
            Pilt
        </th>
        <th>
            Pilt
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.Name)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.ContentType)
    </td>
    <td>
        <img src="@Url.Action("Content", "My", new { id = item.Id })" height="100">
    </td>
    <td>
    @Html.DisplayFor(modelItem => item.Id)
    </td>
    <td>
        @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
        @Html.ActionLink("Details", "Details", new { id = item.Id }) |
        @Html.ActionLink("Delete", "Delete", new { id = item.Id })
    </td>
</tr>
}

</table>

@using (Html.BeginForm("Index", "My", FormMethod.Post, new { enctype = "multipart/form-data"}))
{
    <input type="file" id="file" name="file">
    <input type="submit" value="salvesta" />
}
